<VirtualHost *:80>
    ServerName argus.kusoft.xyz

    Alias /.well-known/acme-challenge/ /var/www/argus/.well-known/acme-challenge/

    <Directory "/var/www/argus/.well-known/acme-challenge/">
        Options None
        AllowOverride None
        Require all granted
    </Directory>

    ProxyPass /.well-known/acme-challenge/ !

    RewriteEngine On
    RewriteCond %{REQUEST_URI} !^/\.well-known/acme-challenge/
    RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<VirtualHost *:443>
    ServerName argus.kusoft.xyz

    SSLEngine On
    SSLCertificateFile /etc/letsencrypt/live/argus.kusoft.xyz/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/argus.kusoft.xyz/privkey.pem

    ProxyPreserveHost On
    ProxyRequests Off
    AllowEncodedSlashes NoDecode
    ProxyTimeout 600

    RequestHeader set X-Forwarded-Proto "https"
    RequestHeader set X-Forwarded-Host "argus.kusoft.xyz"

    ProxyPass / http://127.0.0.1:5105/
    ProxyPassReverse / http://127.0.0.1:5105/
</VirtualHost>
